extends Node

func _ready():
	new_game()

func new_game():
	var player = preload("res://Player.tscn").instance()
	player.name = "Player"
	player.start($StartPosition.position)
	add_child(player)
	
	var orb = preload("res://OrbItem.tscn").instance()
	orb.position.x = player.position.x
	orb.position.y = player.position.y - 250
	orb.scale = Vector2(0.4, 0.4)
	add_child(orb)
	
	var enemy = preload("res://Enemy.tscn").instance()
	enemy.position.x = player.position.x + 220
	enemy.position.y = player.position.y - 300
	add_child(enemy)
